package com.easy.clean.business.ads

abstract class AdsShowCallBack {
    open fun show() {}

    open fun failed(where: Int = 0) {
        next()
    }

    open fun adFailed(where: Int = 0) {
        next()
    }

    open fun close(where: Int = 0) {
        next()
    }

    abstract fun next()

}